Page MenuHomePhabricator

Apply tags to deletion
Closed, ResolvedPublic

Description

Could you add the possibility to apply tags through the API when deleting a page, like what has been done recently for regular edits ?

I'm using tags for identifying edits made by WPCleaner, and its main actions are page edit/creation through action=edit (which can be tagged), and page deletion through action=delete (which can't be tagged).
It currently looks strange in some cases: creation of a TODO subpage is tagged as WPCleaner, while its deletion when all actions are done has only a comment saying that it's done through WPCleaner.

Event Timeline

NicoV created this task.Aug 10 2015, 7:43 AM
NicoV updated the task description. (Show Details)
NicoV raised the priority of this task from to Needs Triage.
NicoV added a subscriber: NicoV.
Restricted Application added subscribers: TTO, Aklapper. · View Herald TranscriptAug 10 2015, 7:43 AM
TTO triaged this task as Normal priority.Aug 10 2015, 7:46 AM

This interface should certainly be added. Until then, deletion log entries can be tagged post facto via a separate API request to action=tag.

Change 230526 had a related patch set uploaded (by TTO):
Allow change tags to be added via API action=delete

https://gerrit.wikimedia.org/r/230526

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Aug 10 2015, 2:36 PM

Change 230526 had a related patch set uploaded (by TTO):
Allow change tags to be added via API action=delete

https://gerrit.wikimedia.org/r/230526

Change 230526 merged by jenkins-bot:
Allow change tags to be added via API action=delete

https://gerrit.wikimedia.org/r/230526

Anomie closed this task as Resolved.Oct 8 2015, 2:09 PM
Anomie claimed this task.
Anomie added a subscriber: Anomie.

This should be deployed to WMF wikis with 1.27.0-wmf.3, see https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap for the schedule.

TTO added a comment.Oct 15 2015, 1:56 AM

It works: https://test.wikipedia.org/w/index.php?title=Special%3ALog&type=&user=&page=Tto+page+506

Note that the deployment of 1.27.0-wmf.3 to non-test wikis has been delayed due to technical issues and personnel shortages, so this feature is not yet available on other sites.

Tagging deletions is only available from the API currently. I think Cenarium was asking for tagging via the UI in T88771; I'm not sure if it's a good idea though.

The summary of this task only mentions API. If Cenarium wants a web UI for it too, he's free to file a separate task for that.

I just noticed that APIDelete directly tags the deletion log (assuming the RC has been saved) instead of passing the tags for later tagging when the RC is saved like the others. Now that the RC save is deferred, it likely won't tag the RC any more. Same issue we had with editing when RC save got deferred. This will need fixing.

Change 312046 had a related patch set uploaded (by Cenarium):
Move tagging of API deletions to RC save

https://gerrit.wikimedia.org/r/312046

Change 312046 merged by jenkins-bot:
Move tagging of API deletions to RC save

https://gerrit.wikimedia.org/r/312046